<body>
    <form [formGroup]="userForms" (ngSubmit)="validatedata()">
        <div class="container">
            <div class="d-flex justify-content-center col-lg-12 col-md-6 col-sm-4" >
                <mat-card class="example-card col-4" style="left: 35%;" style="background-color: rgba(177, 125, 61, 0.31);">
                    <mat-card-header class="justify-content-center">
                        <mat-card-title> Login </mat-card-title>
                      </mat-card-header>
                      <mat-card-content>
                          <div class="form-group m-2 ">
                              <div ms-3>
                                  <label  for="username" id="username"><b>UserName</b></label>
                                  <input formControlName="username" class="form-control " type="text" name="username" [(ngModel)]="newuser.username" required>
                              </div>
                              <div class="mt-2">
                                  <label for="password" ><b>Password</b> </label>
                                  <input  formControlName="password" class="form-control"  id="password" [(ngModel)]="newuser.password" required >
                              </div>
                          </div>
                      </mat-card-content>
                      <mat-card-actions class="justify-content-center">
                         <div>   
                            <button type="submit" class="btn btn-light rounded mt-1 m-5">login</button>
                            <a class="col-sm-3 btn btn-light rounded mt-1 m-5" style="text-align: center;" routerLink="/register">Register</a>
                         </div>
                      </mat-card-actions>
                    </mat-card>
                  </div>
        </div>
      
    </form>
</body>
       